[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddDir

Add directory to archive

## Declaration

Source position: libtar.pp line 201

`public procedure TTarWriter.AddDir(`
`Dirname: AnsiString;`
`DateGmt: TDateTime;`
`MaxDirSize: Int64 = 0`
`);`

## Arguments

`Dirname` |  | Directory name to add
`DateGmt` |  | Directory timestamp
`MaxDirSize` |  | Max directory size

## Description

AddDir adds a directory entry to the archive. The entry is written with name DirName, maximum directory size MaxDirSize (0 means unlimited) and timestamp DateGmt.

Note that this call only adds an entry for a directory to the archive: if DirName is an existing directory, it does not write all files in the directory to the archive.

The directory entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddStream |  | Add stream contents to archive.
TTarWriter.AddLink |  | Add hard link to archive
TTarWriter.AddSymbolicLink |  | Add a symbolic link to the archive
TTarWriter.AddString |  | Add string as file data
TTarWriter.AddVolumeHeader |  | Add volume header entry

The latest version of this document can be found at lazarus-ccr.sourceforge.net.